# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family0}%{version}"), "[%p%s]+", "");print(t)}

%global source_version 2.51
%global source_release 7
%global source_url     https://scripts.sil.org/ezrasil_home

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     Licenses.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global common_description %{expand:
The Ezra SIL font families are fashioned after the square letter forms of the
typography of the Biblia Hebraica Stuttgartensia (BHS), a beautiful Old
Testament volume familiar to Biblical Hebrew scholars.

The different font families are available to provide two different styles of
cantillation marks. They were developed together, but there are some
differences in how they display markings. This was done intentionally.}

%global fonts_family0             Ezra SIL
%global fonts_summary0            Ezra SIL, an Hebrew font family
%global fonts_fonts0              *.ttf
%global fonts_fonts_exclude0      %{fonts_fonts1}
%global fonts_experimental_confs0 65-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{?common_description}

The Ezra SIL font family is supposed to render text identically to the printed BHS.}

%global fonts_family1             Ezra SIL SR
%global fonts_summary1            Ezra SIL SR, an Hebrew font family
%global fonts_fonts1              *SR.ttf
%global fonts_experimental_confs1 65-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{?common_description}

The Ezra SIL SR font has a different style of cantillation marks which may be
more familiar to users working with other editions.}

%auto_init
%auto_pkg

%sourcelist
https://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=%{archive_name}.zip&filename=%{archive_name}.zip#/%{archive_name}.zip
65-%{fonts_name0}.xml
65-%{fonts_name1}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-7
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-6
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-5
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-4
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-3
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.51-1
✅ Initial packaging
